

try to trap an invalidation oddity.



 fs/buffer.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN fs/buffer.c~buffer-debug fs/buffer.c
--- 25/fs/buffer.c~buffer-debug	2003-03-29 16:37:28.000000000 -0800
+++ 25-akpm/fs/buffer.c	2003-03-29 16:37:28.000000000 -0800
@@ -396,6 +396,9 @@ __find_get_block_slow(struct block_devic
 		bh = bh->b_this_page;
 	} while (bh != head);
 	buffer_error();
+	printk("block=%llu, b_blocknr=%llu\n",
+		(unsigned long long)block, (unsigned long long)bh->b_blocknr);
+	printk("b_state=0x%08lx, b_size=%u\n", bh->b_state, bh->b_size);
 out_unlock:
 	spin_unlock(&bd_mapping->private_lock);
 	page_cache_release(page);

_
